SDL_SetTextureAlphaModFloat(3)

NAME
SDL_SetTextureAlphaModFloat - Set an additional alpha value multiplied into render copy operations.

HEADER FILE
Defined in SDL3/SDL_render.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetTextureAlphaModFloat(SDL_Texture *texture, float alpha);

DESCRIPTION
When this texture is rendered, during the copy operation the source alpha value is modulated by this alpha value according to the following formula: srcA=srcA*alpha Alpha modulation is not always supported by the renderer; it will return -1 if alpha modulation is not supported.

FUNCTION PARAMETERS

texture
    the texture to update

alpha
    the source alpha value multiplied into copy operations

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_GetTextureAlphaModFloat(3), SDL_SetTextureAlphaMod(3), SDL_SetTextureColorModFloat(3)